package com.avaya.customer.example.servlet.api;

import java.util.List;

public class TranscriptContextAndMessage {

    private TranscriptContext transcriptContext;

    private List<MessageTranscriptV2> transcriptMessages;

    public TranscriptContextAndMessage() {

    }

    public TranscriptContextAndMessage(TranscriptContext transcriptContext,
            List<MessageTranscriptV2> transcriptMessages) {
        this.transcriptContext = transcriptContext;
        this.transcriptMessages = transcriptMessages;
    }

    public TranscriptContext getTranscriptContext() {
        return transcriptContext;
    }

    public void setTranscriptContext(TranscriptContext transcriptContext) {
        this.transcriptContext = transcriptContext;
    }

    public List<MessageTranscriptV2> getTranscriptMessages() {
        return transcriptMessages;
    }

    public void setTranscriptMessages(List<MessageTranscriptV2> transcriptMessages) {
        this.transcriptMessages = transcriptMessages;
    }

    @Override
    public String toString() {
        return "TranscriptContextAndMessage{" + "transcriptContext=" + transcriptContext + ", transcriptMessages="
                + transcriptMessages + '}';
    }
}